const { merge } = require("webpack-merge");
const common = require("./webpack.common.js");

const DevCfg = {
  mode: "development",
  devtool: "inline-source-map"
};

let output;

if (Array.isArray(common)) {
  output = common.map(item => {
    return merge(item, DevCfg);
  });
} else {
  output = common;
}

module.exports = output;
