const { merge } = require("webpack-merge");
const common = require("./webpack.common.js");

const prodCfg = {
  mode: "production"
};

let output;

if (Array.isArray(common)) {
  output = common.map(item => {
    return merge(item, prodCfg);
  });
} else {
  output = common;
}

module.exports = output;
